Our Solutions

Need professional assistance?
Consider our:

Support Offerings


Need to speed up your development?
Have a look at our:

Samples & Tools


Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

How to get exact points in Geometry creation.

Ausekar Shashikant R's picture

I am trying to build wire in Arc31 and TE8 but cant build it. My Arc31 is Handle(Geom_TrimmedCurve) Arc3=GC_MakeArcOfCircle(C1,P8,P10,True);
TopoDS_Edge Arc31 = BRepBuilderAPI_MakeEdge(Arc3);
and TE8 is
BRepBuilderAPI_MakeEdge E8(P4,P8);
TopoDS_Edge TE8 = E8;
Though I am using same point P8 for building wire between Arc31 and TE8 it shows error. When I see it by zooming window, the ends are mismatching. If anyone know solution pls. rpl.

My ID: shashiausekar@gmail.com

Thanks in advance.